Package com.pixelmed.network

# Class ApplicationEntity

java.lang.Object
com.pixelmed.network.ApplicationEntity

Direct Known Subclasses:
  `ApplicationEntityConfigurationDialog`

public class ApplicationEntity extends Object

This class provides a description of the parameters of a known Application Entity.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`dicomAETitle`
`protected PresentationAddress`
`presentationAddress`
`protected String`
`primaryDeviceType`
`protected String`
`queryModel`

## Constructor Summary

Constructors
Constructor
Description
`ApplicationEntity(ApplicationEntity ae)`
`ApplicationEntity(String dicomAETitle)`
`ApplicationEntity(String dicomAETitle, PresentationAddress presentationAddress, String queryModel, String primaryDeviceType)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`final String`
`getDicomAETitle()`
`final PresentationAddress`
`getPresentationAddress()`
`final String`
`getPrimaryDeviceType()`
`final String`
`getQueryModel()`
`void`
`setPresentationAddress(PresentationAddress presentationAddress)`
`void`
`setPrimaryDeviceType(String primaryDeviceType)`
`void`
`setQueryModel(String queryModel)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### dicomAETitle

protected String dicomAETitle

### presentationAddress

protected PresentationAddress presentationAddress

### queryModel

protected String queryModel

### primaryDeviceType

protected String primaryDeviceType

## Constructor Details

### ApplicationEntity

public ApplicationEntity(ApplicationEntity ae)

### ApplicationEntity

public ApplicationEntity(String dicomAETitle)

### ApplicationEntity

public ApplicationEntity(String dicomAETitle, PresentationAddress presentationAddress, String queryModel, String primaryDeviceType)

## Method Details

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### setPresentationAddress

public void setPresentationAddress(PresentationAddress presentationAddress)

### setQueryModel

public void setQueryModel(String queryModel)

### setPrimaryDeviceType

public void setPrimaryDeviceType(String primaryDeviceType)

### getDicomAETitle

public final String getDicomAETitle()

### getPresentationAddress

public final PresentationAddress getPresentationAddress()

### getQueryModel

public final String getQueryModel()

### getPrimaryDeviceType

public final String getPrimaryDeviceType()

### toString

public String toString()

Overrides:
  `toString` in class `Object`